<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:fab="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>
        <import type="android.view.View" />
        <import type="it.integry.integrywmsnative.core.utility.UtilityString" />

        <variable
            name="view"
            type="it.integry.integrywmsnative.gest.picking_libero.PickingLiberoFragment" />
    </data>

    <androidx.coordinatorlayout.widget.CoordinatorLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">


        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/picking_libero_main_list"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="92dp"
            android:paddingStart="2dp"
            android:paddingEnd="2dp"
            tools:itemCount="3"
            tools:listitem="@layout/lista_picking_libero_list_model" />


        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">


            <androidx.constraintlayout.widget.Guideline
                android:id="@+id/free_picking__suggestion_1__guideline_top"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:orientation="horizontal"
                app:layout_constraintGuide_percent="0.35" />

            <androidx.constraintlayout.widget.Guideline
                android:id="@+id/free_picking__suggestion_1__guideline_left"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:orientation="vertical"
                app:layout_constraintGuide_percent="0.2" />

            <androidx.constraintlayout.widget.Guideline
                android:id="@+id/free_picking__suggestion_1__guideline_right"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:orientation="vertical"
                app:layout_constraintGuide_percent="0.8" />

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:alpha="0.4"
                android:orientation="vertical"
                app:layout_constraintLeft_toRightOf="@id/free_picking__suggestion_1__guideline_left"
                app:layout_constraintRight_toLeftOf="@id/free_picking__suggestion_1__guideline_right"
                app:layout_constraintTop_toBottomOf="@id/free_picking__suggestion_1__guideline_top"
                app:visibility="@{view.thereIsntAnOpenedUL}">

                <androidx.appcompat.widget.AppCompatTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:gravity="center_horizontal"
                    android:text="@string/free_picking_suggestion_1"
                    android:textColor="@android:color/black"
                    android:textSize="18sp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:alpha="0.4"
                android:orientation="vertical"
                app:layout_constraintLeft_toRightOf="@id/free_picking__suggestion_1__guideline_left"
                app:layout_constraintRight_toLeftOf="@id/free_picking__suggestion_1__guideline_right"
                app:layout_constraintTop_toBottomOf="@id/free_picking__suggestion_1__guideline_top"
                app:visibility="@{view.thereIsAnOpenULWithoutRows}">

                <androidx.appcompat.widget.AppCompatTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:gravity="center_horizontal"
                    android:text="@string/free_picking_suggestion_2"
                    android:textColor="@android:color/black"
                    android:textSize="18sp" />
            </LinearLayout>


        </androidx.constraintlayout.widget.ConstraintLayout>

        <com.google.android.material.floatingactionbutton.FloatingActionButton
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom|end"
            android:layout_margin="16dp"
            android:contentDescription=""
            app:srcCompat="@drawable/fab_add"
            android:onClick="@{() -> view.createNewLU()}"
            app:visibility="@{view.thereIsntAnOpenedUL}"
            style="?attr/floatingActionButtonPrimaryStyle" />

        <com.google.android.material.floatingactionbutton.FloatingActionButton
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom|end"
            android:layout_margin="16dp"
            android:contentDescription=""
            app:srcCompat="@drawable/ic_check_white_24dp"
            android:onClick="@{() -> view.closeLU()}"
            app:visibility="@{view.thereIsAnOpenedUL}"
            style="?attr/floatingActionButtonSecondaryStyle" />





<!--        <com.github.clans.fab.FloatingActionButton-->
<!--            android:layout_width="wrap_content"-->
<!--            android:layout_height="wrap_content"-->
<!--            android:layout_gravity="bottom|end"-->
<!--            android:layout_marginEnd="8dp"-->
<!--            android:layout_marginBottom="8dp"-->
<!--            android:onClick="@{() -> view.closeLU()}"-->
<!--            android:src="@drawable/ic_check_white_24dp"-->
<!--            app:visibility="@{view.thereIsAnOpenedUL}"-->
<!--            fab:fab_colorNormal="@color/mainGreen"-->
<!--            fab:fab_colorPressed="@color/white_pressed"-->
<!--            fab:fab_colorRipple="#66FFFFFF" />-->


        <View
            android:id="@+id/bottom_sheet__mtb_colr_edit__background"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="#99000000"
            android:clickable="true"
            android:focusable="true"
            android:visibility="gone" />

        <it.integry.integrywmsnative.view.bottom_sheet__mtb_colr_edit.BottomSheetMtbColrEditView
            android:id="@+id/bottom_sheet__mtb_colr_edit"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:behavior_hideable="true"
            app:behavior_peekHeight="0dp"
            app:layout_behavior=".view.bottom_sheet__base.AutoCloseBottomSheetBehavior" />


    </androidx.coordinatorlayout.widget.CoordinatorLayout>

</layout>